
_Float2Ascii:

;float2ascii.c,1 :: 		void Float2Ascii (float x, unsigned char *str,char precision)
;float2ascii.c,8 :: 		ndig = ( precision<=0) ? 7 : (precision > 22 ? 23 : precision+1);
	MOVF       FARG_Float2Ascii_precision+0, 0
	SUBLW      0
	BTFSS      STATUS+0, 0
	GOTO       L_Float2Ascii0
	MOVLW      7
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	GOTO       L_Float2Ascii1
L_Float2Ascii0:
	MOVF       FARG_Float2Ascii_precision+0, 0
	SUBLW      22
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii2
	MOVLW      23
	MOVWF      R2+0
	MOVLW      0
	MOVWF      R2+1
	GOTO       L_Float2Ascii3
L_Float2Ascii2:
	MOVF       FARG_Float2Ascii_precision+0, 0
	ADDLW      1
	MOVWF      R0+0
	CLRF       R0+1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	MOVWF      R2+1
L_Float2Ascii3:
	MOVF       R2+0, 0
	MOVWF      R4+0
	MOVF       R2+1, 0
	MOVWF      R4+1
L_Float2Ascii1:
	MOVF       R4+0, 0
	MOVWF      Float2Ascii_ndig_L0+0
	MOVF       R4+1, 0
	MOVWF      Float2Ascii_ndig_L0+1
;float2ascii.c,9 :: 		ie = 0;
	CLRF       Float2Ascii_ie_L0+0
	CLRF       Float2Ascii_ie_L0+1
;float2ascii.c,11 :: 		if ( x < 0)
	CLRF       R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii4
;float2ascii.c,13 :: 		*str++ = '-';
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      45
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
;float2ascii.c,14 :: 		x = -x;
	MOVLW      0
	XORWF      FARG_Float2Ascii_x+0, 1
	MOVLW      0
	XORWF      FARG_Float2Ascii_x+1, 1
	MOVLW      128
	XORWF      FARG_Float2Ascii_x+2, 1
	MOVLW      0
	XORWF      FARG_Float2Ascii_x+3, 1
;float2ascii.c,15 :: 		}
L_Float2Ascii4:
;float2ascii.c,17 :: 		if (x > 0.0) while (x < 1.0)
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R4+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R4+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R4+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R4+3
	CLRF       R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii5
L_Float2Ascii6:
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      127
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii7
;float2ascii.c,19 :: 		x *= 10.0;                // a la place de =*
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.c,20 :: 		ie--;
	MOVLW      1
	SUBWF      Float2Ascii_ie_L0+0, 1
	BTFSS      STATUS+0, 0
	DECF       Float2Ascii_ie_L0+1, 1
;float2ascii.c,21 :: 		}
	GOTO       L_Float2Ascii6
L_Float2Ascii7:
L_Float2Ascii5:
;float2ascii.c,22 :: 		while (x >= 10.0)
L_Float2Ascii8:
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii9
;float2ascii.c,24 :: 		x = x/10.0;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.c,25 :: 		ie++;
	INCF       Float2Ascii_ie_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_ie_L0+1, 1
;float2ascii.c,26 :: 		}
	GOTO       L_Float2Ascii8
L_Float2Ascii9:
;float2ascii.c,28 :: 		ndig += ie;                                // a la place de =+
	MOVF       Float2Ascii_ie_L0+0, 0
	ADDWF      Float2Ascii_ndig_L0+0, 1
	MOVF       Float2Ascii_ie_L0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      Float2Ascii_ndig_L0+1, 1
;float2ascii.c,31 :: 		for (y = i = 1; i < ndig; i++)
	MOVLW      1
	MOVWF      Float2Ascii_i_L0+0
	MOVLW      0
	MOVWF      Float2Ascii_i_L0+1
	MOVLW      1
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	CALL       _Int2Double+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_y_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_y_L0+1
	MOVF       R0+2, 0
	MOVWF      Float2Ascii_y_L0+2
	MOVF       R0+3, 0
	MOVWF      Float2Ascii_y_L0+3
L_Float2Ascii10:
	MOVLW      128
	XORWF      Float2Ascii_i_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      Float2Ascii_ndig_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii24
	MOVF       Float2Ascii_ndig_L0+0, 0
	SUBWF      Float2Ascii_i_L0+0, 0
L__Float2Ascii24:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii11
;float2ascii.c,32 :: 		y = y/10.;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	MOVF       Float2Ascii_y_L0+0, 0
	MOVWF      R0+0
	MOVF       Float2Ascii_y_L0+1, 0
	MOVWF      R0+1
	MOVF       Float2Ascii_y_L0+2, 0
	MOVWF      R0+2
	MOVF       Float2Ascii_y_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_y_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_y_L0+1
	MOVF       R0+2, 0
	MOVWF      Float2Ascii_y_L0+2
	MOVF       R0+3, 0
	MOVWF      Float2Ascii_y_L0+3
;float2ascii.c,31 :: 		for (y = i = 1; i < ndig; i++)
	INCF       Float2Ascii_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_i_L0+1, 1
;float2ascii.c,32 :: 		y = y/10.;
	GOTO       L_Float2Ascii10
L_Float2Ascii11:
;float2ascii.c,33 :: 		x += y/2.;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      128
	MOVWF      R4+3
	MOVF       Float2Ascii_y_L0+0, 0
	MOVWF      R0+0
	MOVF       Float2Ascii_y_L0+1, 0
	MOVWF      R0+1
	MOVF       Float2Ascii_y_L0+2, 0
	MOVWF      R0+2
	MOVF       Float2Ascii_y_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R4+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R4+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R4+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R4+3
	CALL       _Add_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.c,34 :: 		if (x >= 10.0) {x = 1.0; ie++;}
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii13
	MOVLW      0
	MOVWF      FARG_Float2Ascii_x+0
	MOVLW      0
	MOVWF      FARG_Float2Ascii_x+1
	MOVLW      0
	MOVWF      FARG_Float2Ascii_x+2
	MOVLW      127
	MOVWF      FARG_Float2Ascii_x+3
	INCF       Float2Ascii_ie_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_ie_L0+1, 1
L_Float2Ascii13:
;float2ascii.c,35 :: 		if (ie<0)
	MOVLW      128
	XORWF      Float2Ascii_ie_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii25
	MOVLW      0
	SUBWF      Float2Ascii_ie_L0+0, 0
L__Float2Ascii25:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii14
;float2ascii.c,37 :: 		*str++ = '0'; *str++ = '.';
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      48
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      46
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
;float2ascii.c,38 :: 		if (ndig < 0) ie = ie-ndig;
	MOVLW      128
	XORWF      Float2Ascii_ndig_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii26
	MOVLW      0
	SUBWF      Float2Ascii_ndig_L0+0, 0
L__Float2Ascii26:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii15
	MOVF       Float2Ascii_ndig_L0+0, 0
	SUBWF      Float2Ascii_ie_L0+0, 1
	BTFSS      STATUS+0, 0
	DECF       Float2Ascii_ie_L0+1, 1
	MOVF       Float2Ascii_ndig_L0+1, 0
	SUBWF      Float2Ascii_ie_L0+1, 1
L_Float2Ascii15:
;float2ascii.c,39 :: 		for (i = -1; i > ie; i--)  *str++ = '0';
	MOVLW      255
	MOVWF      Float2Ascii_i_L0+0
	MOVLW      255
	MOVWF      Float2Ascii_i_L0+1
L_Float2Ascii16:
	MOVLW      128
	XORWF      Float2Ascii_ie_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      Float2Ascii_i_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii27
	MOVF       Float2Ascii_i_L0+0, 0
	SUBWF      Float2Ascii_ie_L0+0, 0
L__Float2Ascii27:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii17
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      48
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
	MOVLW      1
	SUBWF      Float2Ascii_i_L0+0, 1
	BTFSS      STATUS+0, 0
	DECF       Float2Ascii_i_L0+1, 1
	GOTO       L_Float2Ascii16
L_Float2Ascii17:
;float2ascii.c,40 :: 		}
L_Float2Ascii14:
;float2ascii.c,41 :: 		for (i=0; i < ndig; i++)
	CLRF       Float2Ascii_i_L0+0
	CLRF       Float2Ascii_i_L0+1
L_Float2Ascii19:
	MOVLW      128
	XORWF      Float2Ascii_i_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      Float2Ascii_ndig_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii28
	MOVF       Float2Ascii_ndig_L0+0, 0
	SUBWF      Float2Ascii_i_L0+0, 0
L__Float2Ascii28:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii20
;float2ascii.c,43 :: 		k = x;
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Double2Int+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_k_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_k_L0+1
;float2ascii.c,44 :: 		*str++ = k + '0';
	MOVLW      48
	ADDWF      R0+0, 1
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
;float2ascii.c,45 :: 		if (i ==  ie ) *str++ = '.';
	MOVF       Float2Ascii_i_L0+1, 0
	XORWF      Float2Ascii_ie_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii29
	MOVF       Float2Ascii_ie_L0+0, 0
	XORWF      Float2Ascii_i_L0+0, 0
L__Float2Ascii29:
	BTFSS      STATUS+0, 2
	GOTO       L_Float2Ascii22
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      46
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
L_Float2Ascii22:
;float2ascii.c,46 :: 		x -= (y=k);
	MOVF       Float2Ascii_k_L0+0, 0
	MOVWF      R0+0
	MOVF       Float2Ascii_k_L0+1, 0
	MOVWF      R0+1
	CALL       _Int2Double+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_y_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_y_L0+1
	MOVF       R0+2, 0
	MOVWF      Float2Ascii_y_L0+2
	MOVF       R0+3, 0
	MOVWF      Float2Ascii_y_L0+3
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	MOVF       R0+2, 0
	MOVWF      R4+2
	MOVF       R0+3, 0
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Sub_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.c,47 :: 		x *= 10.0;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.c,41 :: 		for (i=0; i < ndig; i++)
	INCF       Float2Ascii_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_i_L0+1, 1
;float2ascii.c,48 :: 		}
	GOTO       L_Float2Ascii19
L_Float2Ascii20:
;float2ascii.c,49 :: 		*str = '\0';
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;float2ascii.c,50 :: 		}
L_end_Float2Ascii:
	RETURN
; end of _Float2Ascii
