
_Float2Ascii:

;float2ascii.h,1 :: 		void Float2Ascii (float x, unsigned char *str,char precision)
;float2ascii.h,8 :: 		ndig = ( precision<=0) ? 7 : (precision > 22 ? 23 : precision+1);
	MOVF       FARG_Float2Ascii_precision+0, 0
	SUBLW      0
	BTFSS      STATUS+0, 0
	GOTO       L_Float2Ascii0
	MOVLW      7
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	GOTO       L_Float2Ascii1
L_Float2Ascii0:
	MOVF       FARG_Float2Ascii_precision+0, 0
	SUBLW      22
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii2
	MOVLW      23
	MOVWF      R2+0
	MOVLW      0
	MOVWF      R2+1
	GOTO       L_Float2Ascii3
L_Float2Ascii2:
	MOVF       FARG_Float2Ascii_precision+0, 0
	ADDLW      1
	MOVWF      R0+0
	CLRF       R0+1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	MOVWF      R2+1
L_Float2Ascii3:
	MOVF       R2+0, 0
	MOVWF      R4+0
	MOVF       R2+1, 0
	MOVWF      R4+1
L_Float2Ascii1:
	MOVF       R4+0, 0
	MOVWF      Float2Ascii_ndig_L0+0
	MOVF       R4+1, 0
	MOVWF      Float2Ascii_ndig_L0+1
;float2ascii.h,9 :: 		ie = 0;
	CLRF       Float2Ascii_ie_L0+0
	CLRF       Float2Ascii_ie_L0+1
;float2ascii.h,11 :: 		if ( x < 0)
	CLRF       R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii4
;float2ascii.h,13 :: 		*str++ = '-';
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      45
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
;float2ascii.h,14 :: 		x = -x;
	MOVLW      0
	XORWF      FARG_Float2Ascii_x+0, 1
	MOVLW      0
	XORWF      FARG_Float2Ascii_x+1, 1
	MOVLW      128
	XORWF      FARG_Float2Ascii_x+2, 1
	MOVLW      0
	XORWF      FARG_Float2Ascii_x+3, 1
;float2ascii.h,15 :: 		}
L_Float2Ascii4:
;float2ascii.h,17 :: 		if (x > 0.0) while (x < 1.0)
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R4+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R4+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R4+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R4+3
	CLRF       R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii5
L_Float2Ascii6:
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      127
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii7
;float2ascii.h,19 :: 		x *= 10.0;                // a la place de =*
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.h,20 :: 		ie--;
	MOVLW      1
	SUBWF      Float2Ascii_ie_L0+0, 1
	BTFSS      STATUS+0, 0
	DECF       Float2Ascii_ie_L0+1, 1
;float2ascii.h,21 :: 		}
	GOTO       L_Float2Ascii6
L_Float2Ascii7:
L_Float2Ascii5:
;float2ascii.h,22 :: 		while (x >= 10.0)
L_Float2Ascii8:
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii9
;float2ascii.h,24 :: 		x = x/10.0;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.h,25 :: 		ie++;
	INCF       Float2Ascii_ie_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_ie_L0+1, 1
;float2ascii.h,26 :: 		}
	GOTO       L_Float2Ascii8
L_Float2Ascii9:
;float2ascii.h,28 :: 		ndig += ie;                                // a la place de =+
	MOVF       Float2Ascii_ie_L0+0, 0
	ADDWF      Float2Ascii_ndig_L0+0, 1
	MOVF       Float2Ascii_ie_L0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      Float2Ascii_ndig_L0+1, 1
;float2ascii.h,31 :: 		for (y = i = 1; i < ndig; i++)
	MOVLW      1
	MOVWF      Float2Ascii_i_L0+0
	MOVLW      0
	MOVWF      Float2Ascii_i_L0+1
	MOVLW      1
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	CALL       _Int2Double+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_y_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_y_L0+1
	MOVF       R0+2, 0
	MOVWF      Float2Ascii_y_L0+2
	MOVF       R0+3, 0
	MOVWF      Float2Ascii_y_L0+3
L_Float2Ascii10:
	MOVLW      128
	XORWF      Float2Ascii_i_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      Float2Ascii_ndig_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii46
	MOVF       Float2Ascii_ndig_L0+0, 0
	SUBWF      Float2Ascii_i_L0+0, 0
L__Float2Ascii46:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii11
;float2ascii.h,32 :: 		y = y/10.;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	MOVF       Float2Ascii_y_L0+0, 0
	MOVWF      R0+0
	MOVF       Float2Ascii_y_L0+1, 0
	MOVWF      R0+1
	MOVF       Float2Ascii_y_L0+2, 0
	MOVWF      R0+2
	MOVF       Float2Ascii_y_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_y_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_y_L0+1
	MOVF       R0+2, 0
	MOVWF      Float2Ascii_y_L0+2
	MOVF       R0+3, 0
	MOVWF      Float2Ascii_y_L0+3
;float2ascii.h,31 :: 		for (y = i = 1; i < ndig; i++)
	INCF       Float2Ascii_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_i_L0+1, 1
;float2ascii.h,32 :: 		y = y/10.;
	GOTO       L_Float2Ascii10
L_Float2Ascii11:
;float2ascii.h,33 :: 		x += y/2.;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      128
	MOVWF      R4+3
	MOVF       Float2Ascii_y_L0+0, 0
	MOVWF      R0+0
	MOVF       Float2Ascii_y_L0+1, 0
	MOVWF      R0+1
	MOVF       Float2Ascii_y_L0+2, 0
	MOVWF      R0+2
	MOVF       Float2Ascii_y_L0+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R4+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R4+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R4+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R4+3
	CALL       _Add_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.h,34 :: 		if (x >= 10.0) {x = 1.0; ie++;}
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Compare_Double+0
	MOVLW      1
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Float2Ascii13
	MOVLW      0
	MOVWF      FARG_Float2Ascii_x+0
	MOVLW      0
	MOVWF      FARG_Float2Ascii_x+1
	MOVLW      0
	MOVWF      FARG_Float2Ascii_x+2
	MOVLW      127
	MOVWF      FARG_Float2Ascii_x+3
	INCF       Float2Ascii_ie_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_ie_L0+1, 1
L_Float2Ascii13:
;float2ascii.h,35 :: 		if (ie<0)
	MOVLW      128
	XORWF      Float2Ascii_ie_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii47
	MOVLW      0
	SUBWF      Float2Ascii_ie_L0+0, 0
L__Float2Ascii47:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii14
;float2ascii.h,37 :: 		*str++ = '0'; *str++ = '.';
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      48
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      46
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
;float2ascii.h,38 :: 		if (ndig < 0) ie = ie-ndig;
	MOVLW      128
	XORWF      Float2Ascii_ndig_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii48
	MOVLW      0
	SUBWF      Float2Ascii_ndig_L0+0, 0
L__Float2Ascii48:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii15
	MOVF       Float2Ascii_ndig_L0+0, 0
	SUBWF      Float2Ascii_ie_L0+0, 1
	BTFSS      STATUS+0, 0
	DECF       Float2Ascii_ie_L0+1, 1
	MOVF       Float2Ascii_ndig_L0+1, 0
	SUBWF      Float2Ascii_ie_L0+1, 1
L_Float2Ascii15:
;float2ascii.h,39 :: 		for (i = -1; i > ie; i--)  *str++ = '0';
	MOVLW      255
	MOVWF      Float2Ascii_i_L0+0
	MOVLW      255
	MOVWF      Float2Ascii_i_L0+1
L_Float2Ascii16:
	MOVLW      128
	XORWF      Float2Ascii_ie_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      Float2Ascii_i_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii49
	MOVF       Float2Ascii_i_L0+0, 0
	SUBWF      Float2Ascii_ie_L0+0, 0
L__Float2Ascii49:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii17
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      48
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
	MOVLW      1
	SUBWF      Float2Ascii_i_L0+0, 1
	BTFSS      STATUS+0, 0
	DECF       Float2Ascii_i_L0+1, 1
	GOTO       L_Float2Ascii16
L_Float2Ascii17:
;float2ascii.h,40 :: 		}
L_Float2Ascii14:
;float2ascii.h,41 :: 		for (i=0; i < ndig; i++)
	CLRF       Float2Ascii_i_L0+0
	CLRF       Float2Ascii_i_L0+1
L_Float2Ascii19:
	MOVLW      128
	XORWF      Float2Ascii_i_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      Float2Ascii_ndig_L0+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii50
	MOVF       Float2Ascii_ndig_L0+0, 0
	SUBWF      Float2Ascii_i_L0+0, 0
L__Float2Ascii50:
	BTFSC      STATUS+0, 0
	GOTO       L_Float2Ascii20
;float2ascii.h,43 :: 		k = x;
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Double2Int+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_k_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_k_L0+1
;float2ascii.h,44 :: 		*str++ = k + '0';
	MOVLW      48
	ADDWF      R0+0, 1
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
;float2ascii.h,45 :: 		if (i ==  ie ) *str++ = '.';
	MOVF       Float2Ascii_i_L0+1, 0
	XORWF      Float2Ascii_ie_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Float2Ascii51
	MOVF       Float2Ascii_ie_L0+0, 0
	XORWF      Float2Ascii_i_L0+0, 0
L__Float2Ascii51:
	BTFSS      STATUS+0, 2
	GOTO       L_Float2Ascii22
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	MOVLW      46
	MOVWF      INDF+0
	INCF       FARG_Float2Ascii_str+0, 1
L_Float2Ascii22:
;float2ascii.h,46 :: 		x -= (y=k);
	MOVF       Float2Ascii_k_L0+0, 0
	MOVWF      R0+0
	MOVF       Float2Ascii_k_L0+1, 0
	MOVWF      R0+1
	CALL       _Int2Double+0
	MOVF       R0+0, 0
	MOVWF      Float2Ascii_y_L0+0
	MOVF       R0+1, 0
	MOVWF      Float2Ascii_y_L0+1
	MOVF       R0+2, 0
	MOVWF      Float2Ascii_y_L0+2
	MOVF       R0+3, 0
	MOVWF      Float2Ascii_y_L0+3
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	MOVF       R0+2, 0
	MOVWF      R4+2
	MOVF       R0+3, 0
	MOVWF      R4+3
	MOVF       FARG_Float2Ascii_x+0, 0
	MOVWF      R0+0
	MOVF       FARG_Float2Ascii_x+1, 0
	MOVWF      R0+1
	MOVF       FARG_Float2Ascii_x+2, 0
	MOVWF      R0+2
	MOVF       FARG_Float2Ascii_x+3, 0
	MOVWF      R0+3
	CALL       _Sub_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.h,47 :: 		x *= 10.0;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
;float2ascii.h,41 :: 		for (i=0; i < ndig; i++)
	INCF       Float2Ascii_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Float2Ascii_i_L0+1, 1
;float2ascii.h,48 :: 		}
	GOTO       L_Float2Ascii19
L_Float2Ascii20:
;float2ascii.h,49 :: 		*str = '\0';
	MOVF       FARG_Float2Ascii_str+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;float2ascii.h,50 :: 		}
L_end_Float2Ascii:
	RETURN
; end of _Float2Ascii

_MyDelay:

;test.c,28 :: 		void MyDelay(int time)
;test.c,30 :: 		switch (time)
	GOTO       L_MyDelay23
;test.c,32 :: 		case 10 : delay_us(10);
L_MyDelay25:
	MOVLW      6
	MOVWF      R13+0
L_MyDelay26:
	DECFSZ     R13+0, 1
	GOTO       L_MyDelay26
	NOP
;test.c,33 :: 		case 100 : delay_ms(100);
L_MyDelay27:
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_MyDelay28:
	DECFSZ     R13+0, 1
	GOTO       L_MyDelay28
	DECFSZ     R12+0, 1
	GOTO       L_MyDelay28
	DECFSZ     R11+0, 1
	GOTO       L_MyDelay28
	NOP
;test.c,34 :: 		}
	GOTO       L_MyDelay24
L_MyDelay23:
	MOVLW      0
	XORWF      FARG_MyDelay_time+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__MyDelay53
	MOVLW      10
	XORWF      FARG_MyDelay_time+0, 0
L__MyDelay53:
	BTFSC      STATUS+0, 2
	GOTO       L_MyDelay25
	MOVLW      0
	XORWF      FARG_MyDelay_time+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__MyDelay54
	MOVLW      100
	XORWF      FARG_MyDelay_time+0, 0
L__MyDelay54:
	BTFSC      STATUS+0, 2
	GOTO       L_MyDelay27
L_MyDelay24:
;test.c,35 :: 		}
L_end_MyDelay:
	RETURN
; end of _MyDelay

_ReadXAxis:

;test.c,37 :: 		float ReadXAxis (void)
;test.c,39 :: 		signed int analogvalue=0;
	CLRF       ReadXAxis_analogvalue_L0+0
	CLRF       ReadXAxis_analogvalue_L0+1
	CLRF       ReadXAxis_temp_L0+0
	CLRF       ReadXAxis_temp_L0+1
;test.c,43 :: 		ADCON0 = 0b11001101;     // setting the A/D module for AN1
	MOVLW      205
	MOVWF      ADCON0+0
;test.c,44 :: 		analogvalue = ADC_Read(1);
	MOVLW      1
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      ReadXAxis_analogvalue_L0+0
	MOVF       R0+1, 0
	MOVWF      ReadXAxis_analogvalue_L0+1
;test.c,45 :: 		MyDelay(10);
	MOVLW      10
	MOVWF      FARG_MyDelay_time+0
	MOVLW      0
	MOVWF      FARG_MyDelay_time+1
	CALL       _MyDelay+0
;test.c,46 :: 		analogvalue += ADC_Read(1);//take an average of 2 readings to reduce noise
	MOVLW      1
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	ADDWF      ReadXAxis_analogvalue_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      ReadXAxis_analogvalue_L0+1, 1
;test.c,47 :: 		while (ADCON0.B2);
L_ReadXAxis29:
	BTFSS      ADCON0+0, 2
	GOTO       L_ReadXAxis30
	GOTO       L_ReadXAxis29
L_ReadXAxis30:
;test.c,48 :: 		analogvalue = analogvalue / 2;
	MOVF       ReadXAxis_analogvalue_L0+0, 0
	MOVWF      R0+0
	MOVF       ReadXAxis_analogvalue_L0+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	BTFSC      R0+1, 6
	BSF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      ReadXAxis_analogvalue_L0+0
	MOVF       R0+1, 0
	MOVWF      ReadXAxis_analogvalue_L0+1
;test.c,49 :: 		temp = analogvalue-oldXanalogvalue;
	MOVF       _oldXanalogvalue+0, 0
	SUBWF      R0+0, 0
	MOVWF      R2+0
	MOVF       _oldXanalogvalue+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      R0+1, 0
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      ReadXAxis_temp_L0+0
	MOVF       R2+1, 0
	MOVWF      ReadXAxis_temp_L0+1
;test.c,51 :: 		if( temp>1 || temp<-1 ) //ignore small changes to make display more readable
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      R2+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadXAxis56
	MOVF       R2+0, 0
	SUBLW      1
L__ReadXAxis56:
	BTFSS      STATUS+0, 0
	GOTO       L__ReadXAxis43
	MOVLW      128
	XORWF      ReadXAxis_temp_L0+1, 0
	MOVWF      R0+0
	MOVLW      127
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadXAxis57
	MOVLW      255
	SUBWF      ReadXAxis_temp_L0+0, 0
L__ReadXAxis57:
	BTFSS      STATUS+0, 0
	GOTO       L__ReadXAxis43
	GOTO       L_ReadXAxis33
L__ReadXAxis43:
;test.c,54 :: 		oldXanalogvalue=analogvalue;
	MOVF       ReadXAxis_analogvalue_L0+0, 0
	MOVWF      _oldXanalogvalue+0
	MOVF       ReadXAxis_analogvalue_L0+1, 0
	MOVWF      _oldXanalogvalue+1
;test.c,55 :: 		Gvalue=analogvalue-CALIBRATED_0G_X;
	MOVLW      92
	SUBWF      ReadXAxis_analogvalue_L0+0, 0
	MOVWF      R3+0
	MOVLW      1
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      ReadXAxis_analogvalue_L0+1, 0
	MOVWF      R3+1
;test.c,56 :: 		Gvalue=Gvalue<<5;                     //left shifting then dividing allows you to perform
	MOVLW      5
	MOVWF      R2+0
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__ReadXAxis58:
	BTFSC      STATUS+0, 2
	GOTO       L__ReadXAxis59
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__ReadXAxis58
L__ReadXAxis59:
;test.c,57 :: 		Gvalue=Gvalue/CALIBRATED_SENSITIVITY; //more precise multiplication/division
	MOVLW      19
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_S+0
;test.c,58 :: 		GvalueFloat = Gvalue;
	CALL       _Int2Double+0
;test.c,59 :: 		GvalueFloat = GvalueFloat /100;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      72
	MOVWF      R4+2
	MOVLW      133
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
;test.c,60 :: 		return GvalueFloat;
	GOTO       L_end_ReadXAxis
;test.c,61 :: 		}
L_ReadXAxis33:
;test.c,62 :: 		return 1;
	MOVLW      0
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      0
	MOVWF      R0+2
	MOVLW      127
	MOVWF      R0+3
;test.c,63 :: 		}
L_end_ReadXAxis:
	RETURN
; end of _ReadXAxis

_ReadZAxis:

;test.c,65 :: 		float ReadZAxis (void)
;test.c,67 :: 		signed int analogvalue=0;
	CLRF       ReadZAxis_analogvalue_L0+0
	CLRF       ReadZAxis_analogvalue_L0+1
	CLRF       ReadZAxis_temp_L0+0
	CLRF       ReadZAxis_temp_L0+1
;test.c,71 :: 		ADCON0 = 0b11010101;     // setting the A/D module for AN2
	MOVLW      213
	MOVWF      ADCON0+0
;test.c,72 :: 		analogvalue = ADC_Read(2);
	MOVLW      2
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      ReadZAxis_analogvalue_L0+0
	MOVF       R0+1, 0
	MOVWF      ReadZAxis_analogvalue_L0+1
;test.c,73 :: 		MyDelay(10);
	MOVLW      10
	MOVWF      FARG_MyDelay_time+0
	MOVLW      0
	MOVWF      FARG_MyDelay_time+1
	CALL       _MyDelay+0
;test.c,74 :: 		analogvalue += ADC_Read(2);//take an average of 2 readings to reduce noise
	MOVLW      2
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	ADDWF      ReadZAxis_analogvalue_L0+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      ReadZAxis_analogvalue_L0+1, 1
;test.c,75 :: 		while (ADCON0.B2);
L_ReadZAxis34:
	BTFSS      ADCON0+0, 2
	GOTO       L_ReadZAxis35
	GOTO       L_ReadZAxis34
L_ReadZAxis35:
;test.c,76 :: 		analogvalue = analogvalue / 2;
	MOVF       ReadZAxis_analogvalue_L0+0, 0
	MOVWF      R0+0
	MOVF       ReadZAxis_analogvalue_L0+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	BTFSC      R0+1, 6
	BSF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      ReadZAxis_analogvalue_L0+0
	MOVF       R0+1, 0
	MOVWF      ReadZAxis_analogvalue_L0+1
;test.c,77 :: 		temp = analogvalue-oldZanalogvalue;
	MOVF       _oldZanalogvalue+0, 0
	SUBWF      R0+0, 0
	MOVWF      R2+0
	MOVF       _oldZanalogvalue+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      R0+1, 0
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      ReadZAxis_temp_L0+0
	MOVF       R2+1, 0
	MOVWF      ReadZAxis_temp_L0+1
;test.c,79 :: 		if( temp>1 || temp<-1 ) //ignore small changes to make display more readable
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      R2+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadZAxis61
	MOVF       R2+0, 0
	SUBLW      1
L__ReadZAxis61:
	BTFSS      STATUS+0, 0
	GOTO       L__ReadZAxis44
	MOVLW      128
	XORWF      ReadZAxis_temp_L0+1, 0
	MOVWF      R0+0
	MOVLW      127
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ReadZAxis62
	MOVLW      255
	SUBWF      ReadZAxis_temp_L0+0, 0
L__ReadZAxis62:
	BTFSS      STATUS+0, 0
	GOTO       L__ReadZAxis44
	GOTO       L_ReadZAxis38
L__ReadZAxis44:
;test.c,82 :: 		oldZanalogvalue=analogvalue;
	MOVF       ReadZAxis_analogvalue_L0+0, 0
	MOVWF      _oldZanalogvalue+0
	MOVF       ReadZAxis_analogvalue_L0+1, 0
	MOVWF      _oldZanalogvalue+1
;test.c,83 :: 		Gvalue=analogvalue-CALIBRATED_0G_Z;
	MOVLW      112
	SUBWF      ReadZAxis_analogvalue_L0+0, 0
	MOVWF      R3+0
	MOVLW      1
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      ReadZAxis_analogvalue_L0+1, 0
	MOVWF      R3+1
;test.c,84 :: 		Gvalue=Gvalue<<5;                     //left shifting then dividing allows you to perform
	MOVLW      5
	MOVWF      R2+0
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__ReadZAxis63:
	BTFSC      STATUS+0, 2
	GOTO       L__ReadZAxis64
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__ReadZAxis63
L__ReadZAxis64:
;test.c,85 :: 		Gvalue=Gvalue/CALIBRATED_SENSITIVITY; //more precise multiplication/division
	MOVLW      19
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_S+0
;test.c,86 :: 		GvalueFloat = Gvalue;
	CALL       _Int2Double+0
;test.c,87 :: 		GvalueFloat = GvalueFloat /100;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      72
	MOVWF      R4+2
	MOVLW      133
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
;test.c,88 :: 		return GvalueFloat;
	GOTO       L_end_ReadZAxis
;test.c,89 :: 		}
L_ReadZAxis38:
;test.c,90 :: 		return 1;
	MOVLW      0
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      0
	MOVWF      R0+2
	MOVLW      127
	MOVWF      R0+3
;test.c,91 :: 		}
L_end_ReadZAxis:
	RETURN
; end of _ReadZAxis

_main:

;test.c,94 :: 		void main(){
;test.c,95 :: 		float XValues = 0;
	CLRF       main_XValues_L0+0
	CLRF       main_XValues_L0+1
	CLRF       main_XValues_L0+2
	CLRF       main_XValues_L0+3
	CLRF       main_ZValues_L0+0
	CLRF       main_ZValues_L0+1
	CLRF       main_ZValues_L0+2
	CLRF       main_ZValues_L0+3
	CLRF       main_temp_L0+0
	CLRF       main_temp_L0+1
	CLRF       main_temp_L0+2
	CLRF       main_temp_L0+3
;test.c,98 :: 		OSCCON = 0b01110100;  // Set internal oscillator to 8mhz
	MOVLW      116
	MOVWF      OSCCON+0
;test.c,99 :: 		ADCON0 = 0b11010000;     // setting the A/D module for AN2
	MOVLW      208
	MOVWF      ADCON0+0
;test.c,100 :: 		ADCON1 = 0b11000000;        // Set all AN ports to Analog
	MOVLW      192
	MOVWF      ADCON1+0
;test.c,101 :: 		TRISA  = 0b00000110;     //Set RA2 & RA1 as input, others are output
	MOVLW      6
	MOVWF      TRISA+0
;test.c,102 :: 		TRISB  = 0b00000000;     // Set all RB as output
	CLRF       TRISB+0
;test.c,103 :: 		Lcd_Init();                        // Initialize Lcd
	CALL       _Lcd_Init+0
;test.c,105 :: 		while(1) {                         // Endless loop
L_main39:
;test.c,106 :: 		temp = ReadXAxis();
	CALL       _ReadXAxis+0
	MOVF       R0+0, 0
	MOVWF      main_temp_L0+0
	MOVF       R0+1, 0
	MOVWF      main_temp_L0+1
	MOVF       R0+2, 0
	MOVWF      main_temp_L0+2
	MOVF       R0+3, 0
	MOVWF      main_temp_L0+3
;test.c,107 :: 		if (temp != 1) XValues = temp;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      127
	MOVWF      R4+3
	CALL       _Equals_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main41
	MOVF       main_temp_L0+0, 0
	MOVWF      main_XValues_L0+0
	MOVF       main_temp_L0+1, 0
	MOVWF      main_XValues_L0+1
	MOVF       main_temp_L0+2, 0
	MOVWF      main_XValues_L0+2
	MOVF       main_temp_L0+3, 0
	MOVWF      main_XValues_L0+3
L_main41:
;test.c,108 :: 		temp = ReadZAxis();
	CALL       _ReadZAxis+0
	MOVF       R0+0, 0
	MOVWF      main_temp_L0+0
	MOVF       R0+1, 0
	MOVWF      main_temp_L0+1
	MOVF       R0+2, 0
	MOVWF      main_temp_L0+2
	MOVF       R0+3, 0
	MOVWF      main_temp_L0+3
;test.c,109 :: 		if (temp != 1) ZValues = temp;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      127
	MOVWF      R4+3
	CALL       _Equals_Double+0
	MOVLW      1
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main42
	MOVF       main_temp_L0+0, 0
	MOVWF      main_ZValues_L0+0
	MOVF       main_temp_L0+1, 0
	MOVWF      main_ZValues_L0+1
	MOVF       main_temp_L0+2, 0
	MOVWF      main_ZValues_L0+2
	MOVF       main_temp_L0+3, 0
	MOVWF      main_ZValues_L0+3
L_main42:
;test.c,110 :: 		Float2Ascii(XValues,txtX,2);
	MOVF       main_XValues_L0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       main_XValues_L0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       main_XValues_L0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       main_XValues_L0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
	MOVF       _txtX+0, 0
	MOVWF      FARG_Float2Ascii_str+0
	MOVLW      2
	MOVWF      FARG_Float2Ascii_precision+0
	CALL       _Float2Ascii+0
;test.c,111 :: 		txtX = XAxis;
	MOVLW      _XAxis+0
	MOVWF      _txtX+0
;test.c,112 :: 		Float2Ascii(ZValues,txtZ,2);
	MOVF       main_ZValues_L0+0, 0
	MOVWF      FARG_Float2Ascii_x+0
	MOVF       main_ZValues_L0+1, 0
	MOVWF      FARG_Float2Ascii_x+1
	MOVF       main_ZValues_L0+2, 0
	MOVWF      FARG_Float2Ascii_x+2
	MOVF       main_ZValues_L0+3, 0
	MOVWF      FARG_Float2Ascii_x+3
	MOVF       _txtZ+0, 0
	MOVWF      FARG_Float2Ascii_str+0
	MOVLW      2
	MOVWF      FARG_Float2Ascii_precision+0
	CALL       _Float2Ascii+0
;test.c,113 :: 		txtZ = ZAxis;
	MOVLW      _ZAxis+0
	MOVWF      _txtZ+0
;test.c,114 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;test.c,115 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;test.c,116 :: 		Lcd_Out(1,1,"Z=");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_test+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;test.c,117 :: 		Lcd_Out_Cp(Ltrim(txtZ));
	MOVF       _txtZ+0, 0
	MOVWF      FARG_Ltrim_string+0
	CALL       _Ltrim+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_CP_text+0
	CALL       _Lcd_Out_CP+0
;test.c,118 :: 		Lcd_Out_Cp("G");
	MOVLW      ?lstr2_test+0
	MOVWF      FARG_Lcd_Out_CP_text+0
	CALL       _Lcd_Out_CP+0
;test.c,119 :: 		Lcd_Out(2,1,"X=");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_test+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;test.c,120 :: 		Lcd_Out_Cp(Ltrim(txtX));
	MOVF       _txtX+0, 0
	MOVWF      FARG_Ltrim_string+0
	CALL       _Ltrim+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_CP_text+0
	CALL       _Lcd_Out_CP+0
;test.c,121 :: 		Lcd_Out_Cp("G");
	MOVLW      ?lstr4_test+0
	MOVWF      FARG_Lcd_Out_CP_text+0
	CALL       _Lcd_Out_CP+0
;test.c,122 :: 		MyDelay(100);
	MOVLW      100
	MOVWF      FARG_MyDelay_time+0
	MOVLW      0
	MOVWF      FARG_MyDelay_time+1
	CALL       _MyDelay+0
;test.c,123 :: 		}
	GOTO       L_main39
;test.c,124 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
