#line 1 "D:/Hyoty/PIC_Projects/TEST/test.c"
#line 1 "d:/hyoty/pic_projects/test/float2ascii.h"
void Float2Ascii (float x, unsigned char *str,char precision)
{



 int ie, i, k, ndig;
 double y;
 ndig = ( precision<=0) ? 7 : (precision > 22 ? 23 : precision+1);
 ie = 0;

 if ( x < 0)
 {
 *str++ = '-';
 x = -x;
 }

 if (x > 0.0) while (x < 1.0)
 {
 x *= 10.0;
 ie--;
 }
 while (x >= 10.0)
 {
 x = x/10.0;
 ie++;
 }

 ndig += ie;


 for (y = i = 1; i < ndig; i++)
 y = y/10.;
 x += y/2.;
 if (x >= 10.0) {x = 1.0; ie++;}
 if (ie<0)
 {
 *str++ = '0'; *str++ = '.';
 if (ndig < 0) ie = ie-ndig;
 for (i = -1; i > ie; i--) *str++ = '0';
 }
 for (i=0; i < ndig; i++)
 {
 k = x;
 *str++ = k + '0';
 if (i == ie ) *str++ = '.';
 x -= (y=k);
 x *= 10.0;
 }
 *str = '\0';
}
#line 3 "D:/Hyoty/PIC_Projects/TEST/test.c"
sbit LCD_RS at RB4_bit;
sbit LCD_EN at RB5_bit;
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;





char * txtX;
char * txtZ;
char XAxis[30];
char ZAxis[30];
signed int oldXanalogvalue=0;
signed int oldZanalogvalue=0;

void MyDelay(int time)
{
 switch (time)
 {
 case 10 : delay_us(10);
 case 100 : delay_ms(100);
 }
}

float ReadXAxis (void)
{
 signed int analogvalue=0;
 signed int temp=0;
 signed int Gvalue=0;
 float GvalueFloat=0;
 ADCON0 = 0b11001101;
 analogvalue = ADC_Read(1);
 MyDelay(10);
 analogvalue += ADC_Read(1);
 while (ADCON0.B2);
 analogvalue = analogvalue / 2;
 temp = analogvalue-oldXanalogvalue;

 if( temp>1 || temp<-1 )
 {

 oldXanalogvalue=analogvalue;
 Gvalue=analogvalue- 348 ;
 Gvalue=Gvalue<<5;
 Gvalue=Gvalue/ 19 ;
 GvalueFloat = Gvalue;
 GvalueFloat = GvalueFloat /100;
 return GvalueFloat;
 }
 return 1;
}

float ReadZAxis (void)
{
 signed int analogvalue=0;
 signed int temp=0;
 signed int Gvalue=0;
 float GvalueFloat=0;
 ADCON0 = 0b11010101;
 analogvalue = ADC_Read(2);
 MyDelay(10);
 analogvalue += ADC_Read(2);
 while (ADCON0.B2);
 analogvalue = analogvalue / 2;
 temp = analogvalue-oldZanalogvalue;

 if( temp>1 || temp<-1 )
 {

 oldZanalogvalue=analogvalue;
 Gvalue=analogvalue- 368 ;
 Gvalue=Gvalue<<5;
 Gvalue=Gvalue/ 19 ;
 GvalueFloat = Gvalue;
 GvalueFloat = GvalueFloat /100;
 return GvalueFloat;
 }
 return 1;
}


void main(){
 float XValues = 0;
 float ZValues = 0;
 float temp=0;
 OSCCON = 0b01110100;
 ADCON0 = 0b11010000;
 ADCON1 = 0b11000000;
 TRISA = 0b00000110;
 TRISB = 0b00000000;
 Lcd_Init();

 while(1) {
 temp = ReadXAxis();
 if (temp != 1) XValues = temp;
 temp = ReadZAxis();
 if (temp != 1) ZValues = temp;
 Float2Ascii(XValues,txtX,2);
 txtX = XAxis;
 Float2Ascii(ZValues,txtZ,2);
 txtZ = ZAxis;
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1,1,"Z=");
 Lcd_Out_Cp(Ltrim(txtZ));
 Lcd_Out_Cp("G");
 Lcd_Out(2,1,"X=");
 Lcd_Out_Cp(Ltrim(txtX));
 Lcd_Out_Cp("G");
 MyDelay(100);
 }
 }
